image: php:7.4-cli

before_script:
    - apt-get update && apt-get install -y git libzip-dev npm wget
    - curl -sSk https://getcomposer.org/installer | php -- --disable-tls && mv composer.phar /usr/local/bin/composer
    - docker-php-ext-install zip
    - wget https://get.symfony.com/cli/installer -O - | bash
    - mv /root/.symfony/bin/symfony /usr/local/bin/symfony
    - npm install -g newman
    - composer install
    - mv ./config/jwt/private_test.pem ./config/jwt/private.pem && mv ./config/jwt/public_test.pem ./config/jwt/public.pem 
    - symfony server:ca:install && symfony serve -d
    - php bin/console doctrine:database:create --env=test
    - php bin/console doctrine:migration:migrate --env=test --no-interaction

cache:
    paths:
        - vendor/

stages:
    - TestAPI

Newman:
    stage: TestAPI
    script:
        - newman run ./postman/postman_collection.json -e ./postman/postman_environment.json 
    allow_failure: false